Skip to main content
POST
/
ims
/
oneroster
/
rostering
/
v1p2
/
users
/
{userId}
/
agents
Add an agent for a user
curl --request POST \
  --url https://api.alpha-1edtech.ai/ims/oneroster/rostering/v1p2/users/{userId}/agents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agentSourcedId": "<string>"
}
'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.timeback.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

userId
string
required

The sourcedId of the user

Body

application/json
agentSourcedId
string
required

Response

Successfully added agent for user

The response is of type object.